Rygel.RecursiveModuleLoader – librygel-core Reference Manual

# RecursiveModuleLoader

## Object Hierarchy:

## Description:

public abstract class RecursiveModuleLoader : `Object`

Recursively walk a folder looking for shared libraries.

The folder can either be walked synchronously or asynchronously. Implementing classes need to implement the abstract method load_module_from_file() which is called when the walker encounters a dynamic module file.

All known sub-classes:

- PluginLoader

Namespace: Rygel
Package: librygel-core

## Content:

### Properties:

- public `string` base_path { construct set; get; }

### Creation methods:

- public RecursiveModuleLoader (`string` path)
  Create a recursive module loader for a given path.

### Methods:

- public override void constructed ()
- public void load_modules ()
  Walk asynchronously through the tree and load modules.
- public void load_modules_sync (`Cancellable`? cancellable = null)
  Walk synchronously through the tree and load modules.
- protected abstract `bool` load_module_from_file (`File` file)
  Load module from file.

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count